## ros-melodic-abb-irb4400-support 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abb_irb4400_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-abb-irb4400-support (1.3.1-1bionic) bionic; urgency=high

  * remove roslaunch test deps (#167 <https://github.com/ros-industrial/abb/issues/167>)
  * Use the 'doc' attribute on 'arg' elements. (#143 <https://github.com/ros-industrial/abb/issues/143>)
  * Update maintainers (#139 <https://github.com/ros-industrial/abb/issues/139>)
  * Contributors: Harsh Deshpande, Jorge Nicho, gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.3.0-1bionic) bionic; urgency=high

  * Removed urdf file from 4400 support package.
  * Copied the irb4400 support package from the experimental repo.
  * Contributors: Jonathan Meyer

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Fri, 26 May 2017 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.2.1-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.2.0-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Fri, 05 Jun 2015 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.1.9-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 06 Apr 2015 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.1.8-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Sun, 05 Apr 2015 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.1.7-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Tue, 31 Mar 2015 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.1.3-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Thu, 04 Sep 2014 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.1.2-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Fri, 06 Jun 2014 22:00:00 -0000

ros-melodic-abb-irb4400-support (1.1.1-1bionic) bionic; urgency=high



 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 26 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-abb-irb4400-support
Section: misc
Priority: extra
Maintainer: Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch (>= 1.9.55)
Homepage: http://wiki.ros.org/abb_irb4400_support
Standards-Version: 3.9.2

Package: ros-melodic-abb-irb4400-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-abb-driver, ros-melodic-abb-resources, ros-melodic-joint-state-publisher, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-xacro
Description: ROS-Industrial support for the ABB IRB 4400 (and variants).
 This package contains configuration data, 3D models and launch files for ABB IRB 4400 manipulators. This currently includes the L30. Joint limits and max joint velocities are based on the information in the ABB IRB 4400 product specification document (Article No: 3HAC 8770-1). All urdfs / xacros are based on the default motion and joint velocity limits, unless noted otherwise (ie: no support for high speed joints, extended / limited motion ranges or other options). Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-abb-irb4400-support//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
